# Methods

<table data-full-width="false"><thead><tr><th width="193">Method Name</th><th>Method Description</th></tr></thead><tbody><tr><td>run</td><td>The primary initialization function for Geoflow is responsible for calling getData and running the script extensions (if enabled).</td></tr><tr><td>getData</td><td>Fetches the visitor data properties.</td></tr><tr><td>updateData</td><td>Use this to override any visitor data property, simulating what different visitors may experience on your website.</td></tr><tr><td>displayData</td><td>Output the visitor data properties that are currently available.</td></tr><tr><td>clearData</td><td>Force clear any visitor data properties saved in the browser's session storage. This will not effect the 'geoflow' JS object.</td></tr><tr><td>checkCondition</td><td>Returns a boolean based on the condition and value passed.</td></tr><tr><td>select</td><td>Appends one or more &#x3C;option> elements to a &#x3C;select> element based on the category passed and an optional placeholder.</td></tr></tbody></table>

### Examples

```javascript
// Clear the Current Visitor Data Properties Saved in Session Storage
geoflow.clearData();

// Change the Current Country Code to US (United States)
geoflow.updateData({ countryCode: 'US' });

// Add All Countries to the <select> with an ID of 'choose-country'
geoflow.select('#choose-country', 'all-countries', 'Choose a Country');
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.getgeoflow.com/geoflow-docs/advanced/methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
